Bug 701086 - shield-trigger-iptables doesn't enter rules correctly
Summary: shield-trigger-iptables doesn't enter rules correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pam_shield
Version: rawhide
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Carl Thompson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-30 23:51 UTC by Carl Thompson
Modified: 2011-05-16 21:12 UTC (History)
1 user (show)

Fixed In Version: pam_shield-0.9.5-8.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-09 20:54:28 UTC
Type: ---


Attachments (Terms of Use)

Description Carl Thompson 2011-04-30 23:51:49 UTC
Description of problem:
error in shield-trigger-iptables, rules are not entered properly by default

Version-Release number of selected component (if applicable):
all released versions

How reproducible:
very

Steps to Reproduce:
1. execute shield-trigger-iptables with any ip
2.
3.
  
Actual results:
rule does not get added if chain pam_shield does not exist.
rule only blocks port 22

Expected results:
chain should first be created by software if it doesn't exist
then rule should be added.
it should not be port specific because it will only work for one
service if it is port specific

Additional info:

Comment 1 Carl Thompson 2011-04-30 23:52:26 UTC
applies to all releases, fedora 13, 14, 15, rawhide, epel 5, epel 6

Comment 2 Fedora Update System 2011-05-01 00:55:16 UTC
pam_shield-0.9.5-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-8.fc15

Comment 3 Fedora Update System 2011-05-01 00:55:23 UTC
pam_shield-0.9.5-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-8.el6

Comment 4 Fedora Update System 2011-05-01 00:55:30 UTC
pam_shield-0.9.5-8.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-8.fc14

Comment 5 Fedora Update System 2011-05-01 00:55:37 UTC
pam_shield-0.9.5-8.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-8.el5

Comment 6 Fedora Update System 2011-05-01 00:55:44 UTC
pam_shield-0.9.5-8.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-8.fc13

Comment 7 Fedora Update System 2011-05-01 18:52:22 UTC
Package pam_shield-0.9.5-8.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pam_shield-0.9.5-8.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-8.el5
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-05-09 20:54:23 UTC
pam_shield-0.9.5-8.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-05-09 20:58:37 UTC
pam_shield-0.9.5-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-05-10 03:24:37 UTC
pam_shield-0.9.5-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-05-16 21:04:01 UTC
pam_shield-0.9.5-8.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-05-16 21:12:04 UTC
pam_shield-0.9.5-8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.